Subject: Re: wishlist: git send-email improvement

From: Yann Droneaud <[email-masked]>
Date: Tue, 09 Mar 2010 18:49:07 +0100

Le mardi 09 mars 2010 à 09:30 -0800, Junio C Hamano a écrit :
> Yann Droneaud <[email-masked]> writes:
> 
> > Here's a little wishlist for send-email
> >
> > - Use From: field extracted from patch:
> >   If there's no configuration for user.email and From: field is 
> >   different than default auto generated From: address, 
> >   git send-email should use the one in the patch as default.
> 
> I cannot judge how sensible this change is; please justify the motivation
> by adding "it currently does _this_, which is not good for _such and such
> reasons_; instead" between the third and the fourth line.
> 

Sometimes, i'm too lazy to setup a valid git config user.email, 
so i'm commiting with a default, broken author name which get used later
by git format-patch to fill the From: field. 
Each time I'm doing this, I'm manually fixing the From: field in the
mbox file, hoping it will be used by git send-email, and each time I'm
disappointing to see git send-email use the broken author name as
default value.
Obviously, the proper fix would be for me to remember to set up git
config user.email before issuing any command ... but the so-called human
nature tells me it's definitely not my fault, the tool get it wrong and
should be fixed :) 
Perhaps I should learn to use git send-email --from instead.

> > - Use To: field extracted from patch
> >   I've setup format-patch to add a default To: field with
> >   format.headers="To: xxx@yyy". But git send-email did not use it and 
> >   ask for a To: value.
> >   If there's no --to or sendmail.to, send-email should use To: value 
> >   extracted from patch and ask for user confirmation.
> 
> With the recent addition of format.to that is cooking somewhere, I think
> this one is probably sensible.

Great.

Thanks for your time.

-- 
Yann Droneaud